org.eclnt.jsfserver.elements.componentnodes

## Class PROGRESSBARNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.PROGRESSBARNode

- All Implemented Interfaces:
    java.io.Serializable

      public class PROGRESSBARNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PROGRESSBARNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PROGRESSBARNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindActionListener(IActionListenerDelegation value)`
    `PROGRESSBARNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindBackground(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindBarbackground(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindBorder(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindClientname(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindColspan(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindComment(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindDragroundtrip(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindDragsend(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindDropshape(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindFont(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindForeground(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindHeight(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindHelpid(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindInvokeevent(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindOrientation(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindRendered(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindRounding(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindShadow(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindText(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindValue(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindWidth(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindX(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `bindY(IDynamicContentBindingObject value)`
    `PROGRESSBARNode` | `setAccessiblename(java.lang.String value)`
    `PROGRESSBARNode` | `setActionListener(java.lang.String value)`
    `PROGRESSBARNode` | `setAnimatechangeofsize(boolean value)`
    `PROGRESSBARNode` | `setAnimatechangeofsize(java.lang.String value)`
    `PROGRESSBARNode` | `setAttributemacro(java.lang.String value)`
    `PROGRESSBARNode` | `setBackground(java.lang.String value)`
    `PROGRESSBARNode` | `setBarbackground(java.lang.String value)`
    `PROGRESSBARNode` | `setBorder(java.lang.String value)`
    `PROGRESSBARNode` | `setClientname(java.lang.String value)`
    `PROGRESSBARNode` | `setColspan(int value)`
    `PROGRESSBARNode` | `setColspan(java.lang.String value)`
    `PROGRESSBARNode` | `setComment(java.lang.String value)`
    `PROGRESSBARNode` | `setConfiginfo(java.lang.String value)`
    `PROGRESSBARNode` | `setDragroundtrip(boolean value)`
    `PROGRESSBARNode` | `setDragroundtrip(java.lang.String value)`
    `PROGRESSBARNode` | `setDragsend(java.lang.String value)`
    `PROGRESSBARNode` | `setDroprastertext(java.lang.String value)`
    `PROGRESSBARNode` | `setDropreceive(java.lang.String value)`
    `PROGRESSBARNode` | `setDropshape(java.lang.String value)`
    `PROGRESSBARNode` | `setFont(java.lang.String value)`
    `PROGRESSBARNode` | `setForeground(java.lang.String value)`
    `PROGRESSBARNode` | `setFxstyleseq(java.lang.String value)`
    `PROGRESSBARNode` | `setHeight(int value)`
    `PROGRESSBARNode` | `setHeight(java.lang.String value)`
    `PROGRESSBARNode` | `setHelpid(java.lang.String value)`
    `PROGRESSBARNode` | `setId(java.lang.String value)`
    `PROGRESSBARNode` | `setInvokeevent(java.lang.String value)`
    `PROGRESSBARNode` | `setOrientation(java.lang.String value)`
    `PROGRESSBARNode` | `setPopupmenu(java.lang.String value)`
    `PROGRESSBARNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `PROGRESSBARNode` | `setReference(java.lang.String value)`
    `PROGRESSBARNode` | `setRendered(boolean value)`
    `PROGRESSBARNode` | `setRendered(java.lang.String value)`
    `PROGRESSBARNode` | `setRounding(int value)`
    `PROGRESSBARNode` | `setRounding(java.lang.String value)`
    `PROGRESSBARNode` | `setRowalignmenty(java.lang.String value)`
    `PROGRESSBARNode` | `setShadow(java.lang.String value)`
    `PROGRESSBARNode` | `setStyleseq(java.lang.String value)`
    `PROGRESSBARNode` | `setStylevariant(java.lang.String value)`
    `PROGRESSBARNode` | `setText(java.lang.String value)`
    `PROGRESSBARNode` | `setTooltip(java.lang.String value)`
    `PROGRESSBARNode` | `setValue(java.lang.String value)`
    `PROGRESSBARNode` | `setWidth(int value)`
    `PROGRESSBARNode` | `setWidth(java.lang.String value)`
    `PROGRESSBARNode` | `setX(int value)`
    `PROGRESSBARNode` | `setX(java.lang.String value)`
    `PROGRESSBARNode` | `setY(int value)`
    `PROGRESSBARNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PROGRESSBARNode

          public PROGRESSBARNode()

  - ### Method Detail

    - #### setId

          public PROGRESSBARNode setId(java.lang.String value)

    - #### setAccessiblename

          public PROGRESSBARNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public PROGRESSBARNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public PROGRESSBARNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public PROGRESSBARNode bindActionListener(IActionListenerDelegation value)

    - #### setAnimatechangeofsize

          public PROGRESSBARNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public PROGRESSBARNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public PROGRESSBARNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public PROGRESSBARNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public PROGRESSBARNode setBackground(java.lang.String value)

    - #### bindBackground

          public PROGRESSBARNode bindBackground(IDynamicContentBindingObject value)

    - #### setBarbackground

          public PROGRESSBARNode setBarbackground(java.lang.String value)

    - #### bindBarbackground

          public PROGRESSBARNode bindBarbackground(IDynamicContentBindingObject value)

    - #### setBorder

          public PROGRESSBARNode setBorder(java.lang.String value)

    - #### bindBorder

          public PROGRESSBARNode bindBorder(IDynamicContentBindingObject value)

    - #### setClientname

          public PROGRESSBARNode setClientname(java.lang.String value)

    - #### bindClientname

          public PROGRESSBARNode bindClientname(IDynamicContentBindingObject value)

    - #### setColspan

          public PROGRESSBARNode setColspan(java.lang.String value)

    - #### bindColspan

          public PROGRESSBARNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public PROGRESSBARNode setColspan(int value)

    - #### setComment

          public PROGRESSBARNode setComment(java.lang.String value)

    - #### bindComment

          public PROGRESSBARNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public PROGRESSBARNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public PROGRESSBARNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public PROGRESSBARNode setDragroundtrip(java.lang.String value)

    - #### bindDragroundtrip

          public PROGRESSBARNode bindDragroundtrip(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public PROGRESSBARNode setDragroundtrip(boolean value)

    - #### setDragsend

          public PROGRESSBARNode setDragsend(java.lang.String value)

    - #### bindDragsend

          public PROGRESSBARNode bindDragsend(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public PROGRESSBARNode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public PROGRESSBARNode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public PROGRESSBARNode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public PROGRESSBARNode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public PROGRESSBARNode setDropshape(java.lang.String value)

    - #### bindDropshape

          public PROGRESSBARNode bindDropshape(IDynamicContentBindingObject value)

    - #### setFont

          public PROGRESSBARNode setFont(java.lang.String value)

    - #### bindFont

          public PROGRESSBARNode bindFont(IDynamicContentBindingObject value)

    - #### setForeground

          public PROGRESSBARNode setForeground(java.lang.String value)

    - #### bindForeground

          public PROGRESSBARNode bindForeground(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public PROGRESSBARNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public PROGRESSBARNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public PROGRESSBARNode setHeight(java.lang.String value)

    - #### bindHeight

          public PROGRESSBARNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public PROGRESSBARNode setHeight(int value)

    - #### setHelpid

          public PROGRESSBARNode setHelpid(java.lang.String value)

    - #### bindHelpid

          public PROGRESSBARNode bindHelpid(IDynamicContentBindingObject value)

    - #### setInvokeevent

          public PROGRESSBARNode setInvokeevent(java.lang.String value)

    - #### bindInvokeevent

          public PROGRESSBARNode bindInvokeevent(IDynamicContentBindingObject value)

    - #### setOrientation

          public PROGRESSBARNode setOrientation(java.lang.String value)

    - #### bindOrientation

          public PROGRESSBARNode bindOrientation(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public PROGRESSBARNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public PROGRESSBARNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public PROGRESSBARNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public PROGRESSBARNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public PROGRESSBARNode setReference(java.lang.String value)

    - #### setRendered

          public PROGRESSBARNode setRendered(java.lang.String value)

    - #### bindRendered

          public PROGRESSBARNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public PROGRESSBARNode setRendered(boolean value)

    - #### setRounding

          public PROGRESSBARNode setRounding(java.lang.String value)

    - #### bindRounding

          public PROGRESSBARNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public PROGRESSBARNode setRounding(int value)

    - #### setRowalignmenty

          public PROGRESSBARNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public PROGRESSBARNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public PROGRESSBARNode setShadow(java.lang.String value)

    - #### bindShadow

          public PROGRESSBARNode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public PROGRESSBARNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public PROGRESSBARNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public PROGRESSBARNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public PROGRESSBARNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public PROGRESSBARNode setText(java.lang.String value)

    - #### bindText

          public PROGRESSBARNode bindText(IDynamicContentBindingObject value)

    - #### setTooltip

          public PROGRESSBARNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public PROGRESSBARNode bindTooltip(IDynamicContentBindingObject value)

    - #### setValue

          public PROGRESSBARNode setValue(java.lang.String value)

    - #### bindValue

          public PROGRESSBARNode bindValue(IDynamicContentBindingObject value)

    - #### setWidth

          public PROGRESSBARNode setWidth(java.lang.String value)

    - #### bindWidth

          public PROGRESSBARNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public PROGRESSBARNode setWidth(int value)

    - #### setX

          public PROGRESSBARNode setX(java.lang.String value)

    - #### bindX

          public PROGRESSBARNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public PROGRESSBARNode setX(int value)

    - #### setY

          public PROGRESSBARNode setY(java.lang.String value)

    - #### bindY

          public PROGRESSBARNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public PROGRESSBARNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.